%define scim_version         1.4.7
%define tomoe_version        0.6.0

Name:		scim-tomoe
Summary:	SCIM module for tomoe
Version:	0.6.0
Release:	%{mkrel 6}
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.bz2
Patch0:		scim-tomoe-0.6.0-gcc43-cstring-440886.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	scim-client = %scim_api
Requires:	tomoe >= %{tomoe_version}
BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	tomoe-devel >= %{tomoe_version}
BuildRequires:	libtomoe-gtk-devel
BuildRequires:	automake
BuildRequires:	intltool
Obsoletes:	%{mklibname scim-tomoe 0}

%description
SCIM module for tomoe.

%prep
%setup -q
%patch0 -p1

%build
if [[ ! -x configure ]]; then
# (cjw) do not use bootstrap script directly - it runs "aclocal" and "automake"
  libtoolize --copy --force --automake 
  aclocal -I m4 --force
  autoheader
  automake --add-missing --copy --include-deps
  autoconf
fi

%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{scim_plugins_dir}/Helper/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/scim-tomoe
%{_datadir}/scim/icons/*
%{scim_plugins_dir}/Helper/*.so



%changelog
* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 0.6.0-6mdv2010.0
+ Revision: 454455
- rebuild

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 0.6.0-5mdv2009.1
+ Revision: 335549
- rebuild

* Thu Dec 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.0-4mdv2009.1
+ Revision: 315490
- drop unnecessary manual require on libtomoe-gtk (auto-generated one exists)
- small cleanups

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.0-3mdv2009.0
+ Revision: 263800
- add gcc 4.3 patch from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 164596
- BR intltool
- move .so into main package, as it is not versioned, no used by other application.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 46515
- fix file list
- don't use versioned autotools
- New version


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 106847
- Import scim-tomoe

* Fri Jan 05 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.0-1mdv2007.1
- new release

* Fri Dec 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.1
- new release

* Wed Nov 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-2mdk
- fix requires being "libtomoe-gtk-devel >= %%{libtomoe-gtk_version}"

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- add requires libtomoe-gtk

* Thu Sep 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-1mdk
- new release

* Sat Aug 13 2005 Nicolas l�ureuil <neoclust@mandriva.org> 0.0.1-0.20050812.1mdk
- first spec for Mandriva Linux from UTUMI Hirosi <utuhiro78@yahoo.co.jp>

